instance = {
    workers = workers;
    maxconn = maxconn;
    updater_required = updater_required;
    log = log;
    dynamic_balancing_log = dynamic_balancing_log;

    enable_reuse_port = true;
    set_no_file = false;
}; -- instance

if admin_port > 0 then
    instance.admin_addrs = {
        { ip = "localhost"; port = admin_port; }
    }
end
